sábado, 6 de diciembre de 2014

Los "peligros" de las nuevas funcionalidades

Espero actualizar más a menudo el blog, sobre todo para poder dar más información a los usuarios que usáis la aplicación.

En este apartado vamos a hablar de una frase muy conocida el "si no está roto, no lo arregles". Es lo que ha pasado en cierta manera con la aplicación.

Cada vez que una aplicación falla tenéis la opción de enviar un informe de errores para que pueda ser examinado por el programador. Pues bien, gracias a esos informes he podido darme cuenta:

A partir de la versión 2.1 introduje una librería que hace incompatible la aplicación con versiones de android 2.1. Poca gente utiliza el android 2.1, pero he tenido que dejar sin soporte a estas versiones, google ya no permitía actualizaciones con las librerías viejas.

Me sorprende que Samsumg, hasta el año 2.012, todavía siguiera fabricando nuevos modelos de dispositivos móviles con la versión 2.x. Este es el motivo de que todavía haya dejado el soporte a android 2.2 y 2.3 (eso y que la librería funciona para estas versiones).

Me ha ocurrido que sacando una nueva versión, alguna funcionalidad haya dejado de funcionar y esta ha salido a producción. Pero no puedo resignarme a no actualizar la aplicación por miedo a que esta falle.

No hay comentarios:

Publicar un comentario